{
    attributes = (
        {
            columnName = "C_STRUCTURE"; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "D_DEB_AFFECTATION"; 
            externalType = DATE; 
            name = dDebut; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_AFFECTATION"; 
            externalType = DATE; 
            name = dFin; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = "NO_INDIVIDU"; 
            externalType = NUMBER; 
            name = noIndividu; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NO_SEQ_AFFECTATION"; 
            externalType = NUMBER; 
            name = noSeqAffectation; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "PERS_ID"; 
            externalType = NUMBER; 
            name = persId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = QUOTITE; 
            externalType = NUMBER; 
            name = quotite; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (cStructure, dDebut, noIndividu, noSeqAffectation, persId, quotite); 
    className = "org.cocktail.fwkcktlhamac.serveur.metier.EOVConnecteurAffectation"; 
    classProperties = (
        cStructure, 
        dDebut, 
        dFin, 
        noIndividu, 
        noSeqAffectation, 
        persId, 
        quotite, 
        tosIndividu, 
        tosStructure, 
        toStructureAffectation
    ); 
    externalName = "HAMAC.V_CONNECTEUR_AFFECTATION"; 
    fetchSpecificationDictionary = {}; 
    isReadOnly = Y; 
    name = VConnecteurAffectation; 
    primaryKeyAttributes = (cStructure, dDebut, noIndividu, noSeqAffectation, persId, quotite); 
    relationships = (
        {
            destination = "Fwkpers_Individu"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = tosIndividu; 
        }, 
        {
            destination = "Fwkpers_Structure"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = tosStructure; 
        }, 
        {
            destination = "Fwkpers_Structure"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructure; }); 
            name = toStructureAffectation; 
        }
    ); 
    userInfo = {intermediateClass = "A_EOSource"; }; 
}
